Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Stages

Get Stage Reviews
GET /serviceforms/{serviceFormId}/forms/{formId}/stages/{stageId}/reviews
https://api.relesysapp.net/api/v1.1/serviceforms/{serviceFormId}/forms/{formId}/stages/{stageId}/reviews
Get a all reviews for the specified stage with ID stageId.

Please note: This endpoint is only available if stages are enabled on the service form module as well as stage approvals on the specific form.

status - This field displays the status of the review. Currently, the available statuses to filter on are:
  • Pending
  • Approved
  • Rejected

Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
serviceFormId string / guid required
formId string / guid required
stageId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
reviewDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
status string Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"b90c2eea-1f59-4ed2-ba92-fb293c7197e8","stageId":"6774bd4d-e057-4b6e-ae57-5186049dabb7","fillingId":"11bf1543-d280-4765-96dd-be55d378e882","reviewDateTime":"2026-11-11T20:44:20.0381473+00:00","creationDateTime":"2026-11-11T20:44:20.0381473+00:00","lastModifiedDateTime":"2026-11-13T20:44:20.0381473+00:00","userId":"84b3504b-ab71-4f33-8f46-36768fb2e138","status":"Approved"},{"id":"015eacc9-24b8-4508-ab28-688d153ec411","stageId":"214f478e-90a8-4ea1-b628-a56409e6c494","fillingId":"d8955143-274e-4fcb-b1c9-6faa26386d98","reviewDateTime":"2026-11-05T20:44:20.0381473+00:00","creationDateTime":"2026-11-11T20:44:20.0381473+00:00","lastModifiedDateTime":null,"userId":"44c455d8-a0cb-4245-a834-d34dd122a1b0","status":"Rejected"}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   reviewDateTime datetimeoffset      
   stageId string / guid      
   status string      
   userId string / guid      
  nextUrl string      
  previousUrl string